#
# spec file for package compiz-emerald-themes
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   emerald-themes
Name:           compiz-emerald-themes
Version:        0.8.14
Release:        lp151.2.1
Summary:        Various themes for Emerald decorator
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/compiz-reloaded/emerald-themes
Source:         https://github.com/compiz-reloaded/%{_name}/releases/download/v%{version}/%{_name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  compiz-emerald
BuildRequires:  fdupes
Requires:       compiz-emerald
BuildArch:      noarch

%description
Various themes to be used with Emerald decorator of Compiz
window/compositing manager.

%prep
%setup -q -n %{_name}-%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.bak" -delete -print
%fdupes %{buildroot}%{_datadir}/

%files
%defattr(-,root,root)
%doc COPYING
%{_datadir}/emerald/themes/

%changelog
* Tue Apr 18 2017 sor.alexei@meowr.ru
- Update to version 0.8.14:
  * Add a Yosemite theme.
  * Add a graphite version of the Yosemite theme.
* Fri May 27 2016 sor.alexei@meowr.ru
- Update to version 0.8.12.1:
  * Add several new themes.
* Sat Feb 13 2016 sor.alexei@meowr.ru
- Update to 0.8.12.
* Mon Sep 21 2015 sor.alexei@meowr.ru
- Initial package.
